Bug 57391 - ntp-genkeys fails. makes stat64() call?
Summary: ntp-genkeys fails. makes stat64() call?
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ntp   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-11 15:54 UTC by Kirby
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-19 23:20:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kirby 2001-12-11 15:54:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13 i686)

Description of problem:
ntp-genkeys produces no output and generates the following log message:

Dec 11 10:33:25 localhost ntpd_initres[9367]: call to ntp_intres lost

strace the following snippet:

stat64("/etc/ntp/keys", {st_mode=S_IFREG|0600, st_size=266, ...}) = 0
_exit(0)                                = ?


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.ntp-genkey
2.
3.
	

Actual Results:  nothing

Expected Results:  generation of ntp keys

Additional info:

Comment 1 Harald Hoyer 2001-12-14 13:30:25 UTC
should be fixed in ntp-4.1.0b-1


Comment 2 Brian Brock 2003-06-19 23:20:26 UTC
fixed, verified.  closing.


Note You need to log in before you can comment on or make changes to this bug.